﻿.feature-container {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-image: url("https://image-platform.leniugame.com/zhxx/pc/feature_bg.png");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

.feature-container .feature-main {
  position: relative;
  width: 112vh;
  margin: 5.95vh auto 0;
}

.feature_title {
  width: 60.26vh;
  height: 12.4vh;
  background-image: url("https://image-platform.leniugame.com/zhxx/pc/feature_title.png");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 100%;
  margin: auto;
  margin-bottom: 6.586vh;
}

.feature-container .swiper-main {
  position: relative;
  width: 100%;
  height: 50.49vh;
}

.feature-container .swiper-main::before{
  content: "";
  position: absolute;
  width: 96.48vh;
  height: 57.62vh;
  top: 50%;
  left: calc(50% - 0.3vh);
  transform: translate(-50%,-50%);
  background-image: url("https://image-platform.leniugame.com/zhxx/pc/swiper_bg.png");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 96.48vh 57.62vh;
}

.feature-container .swiper-main .feature-swiper {
  width:89.462vh;
  margin: 0 auto;
  height: 100%;
  overflow: hidden;
}

.feature-container .feature-swiper .feature-swiper-container {
  position: relative;
  width: 100%;
  height: 100%;
}

.feature-container .feature-swiper .feature-swiper-container .swiper-slide {
  width: 100% !important;
  height: 100%;
}

.feature-container .feature-swiper .feature-swiper-container .swiper-slide a {
  display: block;
  width: 100%;
  height: 100%;
}

.feature-container .feature-swiper .feature-swiper-container .swiper-slide img {
  width: 100%;
  height: 100%;
}

.feature-container .feature-main .feature-pagination {
  width: 100%;
  height: 0.35rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.feature-container .feature-main .feature-pagination .swiper-pagination-bullet {
  width: 0.365vw;
  height: 0.365vw;
  background: #8e847d;
  border-radius: 50%;
  opacity: 1;
  margin: 0 0.443vw;
}

.feature-container
  .feature-main
  .feature-pagination
  .swiper-pagination-bullet-active {
  background: #347bcf;
}

.feature-container .feature-main .feature-prev,
.swiper-container-rtl .feature-next {
  background-image: url("https://image-platform.leniugame.com/zhxx/pc/left_arrow.png");
  background-size: 100% 100%;
  outline: none;
  width: 8.232vh;
  height: 5.8177vh;
  left: 0;
  top: 55%;
  outline: none;
  transform: translateY(-50%);
  cursor: pointer;
}

.feature-container .feature-main .feature-prev:hover,
.swiper-container-rtl .feature-next:hover {
  background-image: url("https://image-platform.leniugame.com/zhxx/pc/left_arrow.png");
}

.feature-container .feature-main .feature-next,
.swiper-container-rtl .feature-prev {
  background-image: url("https://image-platform.leniugame.com/zhxx/pc/right_arrow.png");
  background-size: 100% 100%;
  outline: none;
  width: 8.232vh;
  height: 5.8177vh;
  right: 0;
  top: 55%;
  outline: none;
  transform: translateY(-50%);
  cursor: pointer;
}

.feature-container .feature-main .feature-next:hover,
.swiper-container-rtl .feature-prev:hover {
  background-image: url("https://image-platform.leniugame.com/zhxx/pc/right_arrow.png");
}

.feature-prev::after,
.feature-next::after {
  content: "" !important;
  /* 清除伪元素内容 */
  display: none !important;
}
